Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033603
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2016-08-02 15:582017-03-15 17:16
ReporterplujanView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision36b3e3b7334c
ProjectionnoneETAnoneTarget Version3.0PR16Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033603: The list of supported/recommended browsers must be updated

DescriptionStarting from 15Q2, the list of supported/recommended browsers must be updated.

The minimum recommended version is the current browser major version available once the release is launched in "QA Approved" status.

The minimum supported version is the previous browser major version once the release is launched in "QA Approved" status. This policy is the same followed by other web applications.

There could be some exceptions, but at the end what is pushed should match what is in the documentation

http://wiki.openbravo.com/wiki/System_Requirements [^] [^]

You can get the latest versions from these documents:

https://en.wikipedia.org/wiki/Firefox [^] [^]
https://en.wikipedia.org/wiki/Google_Chrome [^] [^]
https://en.wikipedia.org/wiki/Internet_Explorer [^] [^]
https://en.wikipedia.org/wiki/EdgeHTML [^] [^]
https://en.wikipedia.org/wiki/Safari_%28web_browser%29 [^] [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029414 closeddbaz The list of supported/recommended browsers must be updated 
depends on backport 00336043.0PR16Q3 closedplujan The list of supported/recommended browsers must be updated 
related to defect 00355353.0PR17Q2 closedplujan The list of supported/recommended browsers must be updated 

-  Notes
(0088755)
plujan (manager)
2016-08-02 16:00

Not required after backport creation.
(0088756)
plujan (manager)
2016-08-02 16:08

The pi fix will belong to this issue
(0088762)
hgbot (developer)
2016-08-03 03:38

Repository: erp/devel/pi
Changeset: ca92068dbc6c7818ddfca15e59fb400e8dbcd973
Author: Pablo Lujan <pablo.lujan <at> openbravo.com>
Date: Wed Aug 03 03:31:24 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ca92068dbc6c7818ddfca15e59fb400e8dbcd973 [^]

Fixes issue 33603 and related to issue 29414: Updated browser supported/recommended list for PR16Q3

* Chrome. Supported 50, Recommended 51 or higher.
* Firefox. Supported 38, Recommended 45 or higher.
* Internet Explorer. Supported 9, Recommended 11 or higher.
* EdgeHTML (MS Edge). Supported 12, Recommended 13 or higher.
* Safari. Supported 7, Recommended 8 or higher.

---
M src/org/openbravo/erpCommon/security/Login.html
---
(0088775)
dbaz (developer)
2016-08-03 14:29

Reviewed @ changeset: 29821 - ca92068dbc6c
(0089037)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089444)
hgbot (developer)
2016-08-26 12:17

Repository: erp/mods/org.openbravo.demo.loginpage
Changeset: 36b3e3b7334c8c1d5b723b8e4cbf2e7873bf1e73
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Aug 26 15:41:14 2016 +0530
URL: http://code.openbravo.com/erp/mods/org.openbravo.demo.loginpage/rev/36b3e3b7334c8c1d5b723b8e4cbf2e7873bf1e73 [^]

Fixes issue 33603 and related to issue 29414: Updated browser supported/recommended list
for 3.0PR16Q3

* Chrome. Supported 50, Recommended 51 or higher.
* Firefox. Supported 38, Recommended 45 or higher.
* Internet Explorer. Supported 9, Recommended 11 or higher.
* EdgeHTML (MS Edge). Supported 12, Recommended 13 or higher.
* Safari. Supported 7, Recommended 8 or higher.

---
M src-db/database/sourcedata/AD_MODULE.xml
M src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M src/org/openbravo/demo/loginpage/security/Login.html
---
(0089732)
plujan (manager)
2016-09-05 11:16

Changing the assignee and the reviewer to allow them to finish the cycle for the demo page change.
(0089740)
aferraz (developer)
2016-09-05 12:15

Reviewed
(0089741)
aferraz (developer)
2016-09-05 12:17
edited on: 2016-09-05 12:18

Note commit messages are wrong for Safari. It should be:
* Safari. Supported 8, Recommended 9 or higher.


- Issue History
Date Modified Username Field Change
2016-08-02 15:58 plujan New Issue
2016-08-02 15:58 plujan Assigned To => plujan
2016-08-02 15:58 plujan Modules => Core
2016-08-02 15:58 plujan Triggers an Emergency Pack => No
2016-08-02 15:58 plujan Relationship added related to 0029414
2016-08-02 15:59 plujan Status new => scheduled
2016-08-02 16:00 plujan Review Assigned To => plujan
2016-08-02 16:00 plujan Note Added: 0088755
2016-08-02 16:00 plujan Status scheduled => closed
2016-08-02 16:00 plujan Resolution open => no change required
2016-08-02 16:08 plujan Note Added: 0088756
2016-08-02 16:08 plujan Status closed => new
2016-08-02 16:08 plujan Resolution no change required => open
2016-08-02 16:09 plujan Status new => scheduled
2016-08-03 03:38 hgbot Checkin
2016-08-03 03:38 hgbot Note Added: 0088762
2016-08-03 03:38 hgbot Status scheduled => resolved
2016-08-03 03:38 hgbot Resolution open => fixed
2016-08-03 03:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ca92068dbc6c7818ddfca15e59fb400e8dbcd973 [^]
2016-08-03 14:29 dbaz Note Added: 0088775
2016-08-03 14:29 dbaz Status resolved => closed
2016-08-03 14:29 dbaz Fixed in Version => 3.0PR16Q3
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089037
2016-08-26 12:17 hgbot Checkin
2016-08-26 12:17 hgbot Note Added: 0089444
2016-08-26 12:17 hgbot Status closed => resolved
2016-08-26 12:17 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/ca92068dbc6c7818ddfca15e59fb400e8dbcd973 [^] => http://code.openbravo.com/erp/mods/org.openbravo.demo.loginpage/rev/36b3e3b7334c8c1d5b723b8e4cbf2e7873bf1e73 [^]
2016-09-05 11:16 plujan Review Assigned To plujan => aferraz
2016-09-05 11:16 plujan Note Added: 0089732
2016-09-05 11:16 plujan Assigned To plujan => AtulOpenbravo
2016-09-05 12:15 aferraz Note Added: 0089740
2016-09-05 12:15 aferraz Status resolved => closed
2016-09-05 12:17 aferraz Note Added: 0089741
2016-09-05 12:18 aferraz Note Edited: 0089741 View Revisions
2017-03-15 17:16 plujan Issue cloned 0035535
2017-03-15 17:16 plujan Relationship added related to 0035535


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker